#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (size_t i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (size_t i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int div(string &a, string &b)
{
    int div = 0;
    for (size_t i = 0; i < b.size(); i++) {
        div =  (div << 1) + b[i] - '0';
    }

    int mod = 0;
    for (size_t i = 0; i < a.size(); i++) {
        mod = ((mod << 1) + a[i] - '0') % div;
    }

    return mod;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    string a, b;
    cin >> a >> b;

    vi ina;
    vi inb;

    for (size_t i = 0; i < a.size(); i++) {
        if (a[i] == '*') {
            ina.push_back(i);
        }
    }
    for (size_t i = 0; i < b.size(); i++) {
        if (b[i] == '*') {
            inb.push_back(i);
        }
    }

    for (size_t i = 0; i < (1 << ina.size()); i++) {
        for (size_t j = 0; j < ina.size(); j++) {
            a[ina[j]] = (i >> j) & 1 ? '1' : '0';
        }
        for (size_t j = 0; j < (1 << inb.size()); j++) {
            for (size_t k = 0; k < inb.size(); k++) {
                b[inb[k]] = (j >> k) & 1 ? '1' : '0';
            }

            if (!div(a, b)) {
                cout << a << '\n';
                return 0;
            }
        }
    }

    cout << "-1\n";
}
